#-
# Copyright (c) 2010 Gregory A. Chadwick
# Copyright (c) 2010-2013 Jonathan Woodruff
# Copyright (c) 2011 Robert N. M. Watson
# Copyright (c) 2011 Simon W. Moore
# Copyright (c) 2011 Wojciech A. Koszek
# Copyright (c) 2013 Theo Markettos
# Copyright (c) 2015 Roy Spliet
# All rights reserved.
#
# This software was developed by SRI International and the University of
# Cambridge Computer Laboratory under DARPA/AFRL contract FA8750-10-C-0237
# ("CTSRD"), as part of the DARPA CRASH research programme.
#
# @BERI_LICENSE_HEADER_START@
#
# Licensed to BERI Open Systems C.I.C. (BERI) under one or more contributor
# license agreements.  See the NOTICE file distributed with this work for
# additional information regarding copyright ownership.  BERI licenses this
# file to you under the BERI Hardware-Software License, Version 1.0 (the
# "License"); you may not use this file except in compliance with the
# License.  You may obtain a copy of the License at:
#
#   http://www.beri-open-systems.org/legal/license-1-0.txt
#
# Unless required by applicable law or agreed to in writing, Work distributed
# under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
# CONDITIONS OF ANY KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations under the License.
#
# @BERI_LICENSE_HEADER_END@
#

#
# RiscV (Yarvi) init.s
#
# Bits within this file get started first.
# 

.text
entry:
                #
                # Setup stack to the address configured in the linker script.
                # ld(1) takes care of inserting additional instructions
                # before startMain gets going in order to make sp = __sp
                #
                lla  sp,__sp
                addi sp,sp,-32   # Allocate 32 bytes of stack space
                call main

end:
                j end

